Subject: Re: Qgit performance and maintain CVS environment with GIT repository

From: Pete/Piet Delaney <[email-masked]>
Date: Thu, 18 Oct 2007 17:22:39 -0700

Johannes Schindelin wrote:
> Hi,
> 
> On Thu, 18 Oct 2007, Pete/Piet Delaney wrote:
> 
>> Johannes:
>>   I read somewhere in the past week that it was possible to maintain
>>   our existing CVS environment with git. I though it was a separate
>>   package to export git back to cvs but I just noticed a git-cvsserver
>>   and as a std part of git and was wondering about using that.
> 
> Where did you read that?
Don't recall exactly, I thought it was a page like the one showing
git Related tools but didn't find it today when looking for it.

>                           AFAIK git-cvsserver is one option.  The other is 
> cvsexportcommit.  The former is more appropriate if you want to switch the 
> developers over to git, and want to provide a smooth path for the devs (or 
> cannot convert a few hardcore CVS "fans").
> 
> The latter is appropriate if you cannot control the server side, or are 
> not allowed to switch to CVS.

I've got root access on the CVS server and want to switch to git without
disturbing the environment more than is necessary to make the switch.
I think developers will want to us git and git-cvsserver looks like
the more likely desirable path.

> 
>> We have a number of build machines with flamebox perl scripts pulling 
>> out CVS branches for builds. I was wondering what is the best way to use 
>> git and it's nicer pull/push model and merge facility and possibly 
>> maintain CVS exports for scripts doing builds if possible the cvsweb and 
>> bonsai (CVS Query Form) that a number of engineers are currently using. 
> 
> I don't know how cvsweb copes with git-cvsserver, but I guess that there 
> will be no problem.
great.

> 
>> I started looking over out flamebox scripts with the intent up 
>> converting them over to git but I mentioned the git to cvs coexistence 
>> and we are wondering if that's a better route than upgrading the 
>> flamebox scripts. Having our existing cvsweb, bonsai, and gitweb along 
>> with the git utilities seems at least desirable. Any thoughts or 
>> suggestions?
> 
> My suggestion: if you're fine with CVS, stick with it.  Really.  I am not 
> here to teach the whole world about the advantages of git, so by all 
> means, if you yourself do not find any advantage to using git, don't use 
> it.  Stick with what works for you.

We are definitely not fine with CVS, the branch merging isn't
comfortable. I'm just wondering about maintaining the existing
CVS browsers and the build scripts if it's not a big deal. I'll
try the git-cvsserver path. If anyone has any war stories to share
on the path this would be an ideal time to share them.

- -piet

> Ciao,
> Dscho